package com.hxhq.business.enums.study;

/**
 * 负责人审核状态：1：未审核；5：审核中；10：已审核
 * @author tanfei
 */
public enum StudyFormPreFzrshztEnum {

    /**
     * 填报中
     */
    wsh(1, "未审核"),

    /**
     * 审核中
     */
    shz(5, "审核中"),

    /**
     * 已审核
     */
    ysh(10, "已审核");

    private int value;
    private String text;

    StudyFormPreFzrshztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormPreFzrshztEnum getEnumByValue(int type) {
        for (StudyFormPreFzrshztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
